--- ./res/res_features.c	2004-08-31 23:43:30.000000000 -0700
+++ ./res/res_features.c.timeout-verbosity	2004-08-31 23:42:54.000000000 -0700
@@ -177,7 +177,7 @@
 			/* Wake up the (presumably select()ing) thread */
 			pthread_kill(parking_thread, SIGURG);
 			if (option_verbose > 1) 
-				ast_verbose(VERBOSE_PREFIX_2 "Parked %s on %d\n", pu->chan->name, pu->parkingnum);
+				ast_verbose(VERBOSE_PREFIX_2 "Parked %s on %d. Will timeout back to %s,%s,%d in %d seconds\n", pu->chan->name, pu->parkingnum, pu->context, pu->exten, pu->priority, (pu->parkingtime/1000));
 
 			manager_event(EVENT_FLAG_CALL, "ParkedCall",
                                 "Exten: %d\r\n"
@@ -532,6 +532,8 @@
 				strncpy(pu->chan->exten, pu->exten, sizeof(pu->chan->exten)-1);
 				strncpy(pu->chan->context, pu->context, sizeof(pu->chan->context)-1);
 				pu->chan->priority = pu->priority;
+				if (option_verbose > 1) 
+					ast_verbose(VERBOSE_PREFIX_2 "Timeout for %s parked on %d. Returning to %s,%s,%d\n", pu->chan->name, pu->parkingnum, pu->chan->context, pu->chan->exten, pu->chan->priority);
 				/* Stop music on hold */
 				ast_moh_stop(pu->chan);
 				/* Start up the PBX, or hang them up */
